Xcode4.5で古いプログラムが実行できない?!

Xcode4.5以前に作成したプログラムをXcode4.5で
実行すると「A valid provisoning profile for this executable was found.」
と表示されてデバッグできなくなってしまいました。
Xcode4.5で実行エラー
なんだこれ?
っと色々設定を確かめてみたら
[PROJECT]や[TARGETS]の
[Build Settings]→[Code singning]→[CODE_SIGN_IDENTITY]→[Debug]
の項目が「iPhone Distribution」になっていました。
Xcode4.5で実行エラー
これを「iPhone Developer」に変更してビルドすれば
実行できるようになります。
ここらへんの設定がよくわからないけど
まあ、動けばそれでOKです。

コメントは受け付けていません。

このページの先頭へ